﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Data;
using System.Web.Script.Services;
using System.Data.OleDb;
using System.Xml;

/// <summary>
/// Summary description for GetProductNames
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
[System.Web.Script.Services.ScriptService]
public class GetDetails : System.Web.Services.WebService
{
    [WebMethod]
    [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
    public object GetProductList()
    {
        XmlDocument doc = new XmlDocument();
        doc.Load(Server.MapPath("~/App_Data/treeview_structure.xml"));
        doc.RemoveChild(doc.FirstChild);
        XmlNodeList rootNodes = doc.ChildNodes;
        nodes = AddNodes(rootNodes);
        return nodes;
    }

    List<string[]> nodes = new List<string[]>();

    public List<string[]> AddNodes(XmlNodeList xmlNodeList)
    {
        for (int i = 0; i < xmlNodeList.Count; i++)
        {
            string parent = "";
            if (xmlNodeList[i].ParentNode.GetType() != typeof(XmlDocument))
                parent = xmlNodeList[i].ParentNode.Attributes["Text"].Value.ToString();

            nodes.Add(new string[] { parent, xmlNodeList[i].Attributes["Text"].Value.ToString() });
            if (xmlNodeList[i].HasChildNodes)
            {
                XmlNodeList newList = xmlNodeList[i].ChildNodes;
                AddNodes(newList);
            }
        }
        return nodes;
    }
}

